<?php

namespace Simplyin\Simplyin_W_Plugin\Shipping_Mapping\Integration;

interface Integration_Interface {

	public function get_method(): string;

	public function get_instance_id(): int;

	public function get_paired_method(): ?string;

	public function get_logistic_plugin(): string;

	public function get_paired_logistic_plugin(): ?string;

	public function get_logistic_provider(): ?string;

	public function get_title(): string;

	public function to_array(): array;
}
